> ## Documentation Index
> Fetch the complete documentation index at: https://docs.portkey.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create deployment



## OpenAPI

````yaml https://raw.githubusercontent.com/PaloAltoNetworks/openapi/refs/heads/main/openapi.yaml post /deployments
openapi: 3.0.0
info:
  title: Prisma AIRS AI Gateway API
  version: 3.0.0
  description: ''
servers:
  - url: https://aigw.portkey.ai/v1
    description: Managed
  - url: https://self-hosted-gateway-url.example.com/v1
    description: Self-hosted -- replace with your own gateway host
security:
  - Authorization: []
tags:
  - name: Assistants
    description: ''
  - name: Audio
    description: ''
  - name: Batch
    description: ''
  - name: Chat
    description: ''
  - name: Completions
    description: ''
  - name: Embeddings
    description: ''
  - name: Files
    description: ''
  - name: Fine-Tuning
    description: ''
  - name: Images
    description: ''
  - name: Model Pricing
    description: ''
  - name: Models
    description: ''
  - name: Moderations
    description: ''
  - name: OCR
    description: ''
  - name: Realtime
    description: ''
  - name: Rerank
    description: ''
  - name: Responses
    description: ''
  - name: Vector Stores
    description: ''
  - name: Configs
    description: ''
  - name: Guardrails
    description: ''
  - name: Integrations
    description: ''
  - name: Integrations > Models
    description: ''
  - name: Integrations > Workspaces
    description: ''
  - name: Providers
    description: ''
  - name: Secret References
    description: ''
  - name: MCP Integrations
    description: ''
  - name: MCP Integrations > Capabilities
    description: ''
  - name: MCP Integrations > Metadata
    description: ''
  - name: MCP Integrations > Workspaces
    description: ''
  - name: MCP Servers
    description: ''
  - name: MCP Servers > Capabilities
    description: ''
  - name: MCP Servers > Connections
    description: ''
  - name: MCP Servers > User Access
    description: ''
  - name: API Keys
    description: ''
  - name: Deployments
    description: ''
  - name: Org Guardrails
    description: ''
  - name: Rate Limit Policies
    description: ''
  - name: Usage Limit Policies
    description: ''
  - name: Analytics > Graphs
    description: ''
  - name: Analytics > Groups
    description: ''
  - name: Analytics > Summary
    description: ''
  - name: Feedback
    description: ''
  - name: Logs
    description: ''
paths:
  /deployments:
    servers:
      - url: https://api.apps.paloaltonetworks.com/ai_gw/admin/v2
        description: Managed
    post:
      tags:
        - Deployments
      operationId: createDeployment
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateDeploymentRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeploymentCreateResponse'
        '400':
          description: ''
        '403':
          description: ''
        '404':
          description: ''
components:
  schemas:
    CreateDeploymentRequest:
      type: object
      required:
        - name
      properties:
        organisation_id:
          type: string
          format: uuid
        name:
          type: string
        slug:
          type: string
          minLength: 1
          maxLength: 50
        type:
          type: string
          enum:
            - production
            - non_production
          default: production
        deployment_config:
          type: object
        is_default:
          type: boolean
        auth_settings:
          $ref: '#/components/schemas/DeploymentAuthSettingsInput'
        tags:
          $ref: '#/components/schemas/DeploymentTags'
    DeploymentCreateResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        organisation_id:
          type: string
          format: uuid
        client_auth:
          type: string
        credentials:
          allOf:
            - $ref: '#/components/schemas/DeploymentCredentials'
        object:
          type: string
          enum:
            - deployment
    DeploymentAuthSettingsInput:
      type: object
      properties:
        gateway_base_url:
          type: string
          format: uri
        mcp_gateway_base_url:
          type: string
          format: uri
        is_dataservice_hosted:
          type: integer
          enum:
            - 0
            - 1
        is_playground_proxy_allowed:
          type: integer
          enum:
            - 0
            - 1
        workspaces_allowed:
          type: array
          items:
            type: string
        jwt_subs_allowed:
          type: array
          items:
            type: string
        jwt_sub_workspace_mapping:
          type: object
          additionalProperties:
            type: string
    DeploymentTags:
      type: object
      nullable: true
      additionalProperties:
        type: string
    DeploymentCredentials:
      type: object
      properties:
        username:
          type: string
        password:
          type: string
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````